#include "file_services.h"

int main(void)
{
    char *file_path;
    char fileline[100];
    
    init_fs();
    file_path = navigate_fs();
    
    print("Now opening %s for reading\n\n", file_path);
    
    FILE *pFile;

    pFile = fopen(file_path,"r");

    if(pFile == NULL)
    {
        print("ERROR - The file could not be opened!");
    }
    else
    {
        while(fgets(fileline, 100, pFile))
        {
            fileline[strcspn(fileline, "\n")] = 0;

            print("Fileline: %s\n", fileline);
        }
        
        fclose(pFile);
    }                    

    return 0;
}

